<?php
    if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Modulos_Model extends CI_Model
{
    //Constructor 
    function __construct()
    {
        parent::__construct();
        //$this->load->library('encryption');
    }

    // //Buscar Modulo por codigo
    // public function getModulos($data)
    // {
    //     //Realizar la Busqueda
    //     $this->db->select('*');
    //     $this->db->from('modulos');
       
    //     $query = $this->db->get();
	// 	return $query->result();
    // }

    //Buscar Permiso por parametros
    public function getModulosforParameter($limit=false,$offset=false,$data)
    {
        $limit ? $this->db->limit($limit, $offset):'';

        $this->load->library('Consultar');
        $conn = $this->CI_Consultar->conexion(APP_SERVERNAME,APP_DBNAME,APP_USER,APP_PASS);
     
        $misql = "EXEC spGetModulos @Opcion   = ".$data[0].",
                                    @IdModulo = ".$data[1].",
                                    @Nombre   = ".$data[2]."";
                     
        $results=$this->CI_Consultar->consultarsp($misql,$conn);
        $results = mb_convert_encoding($results ,'UTF-8', 'HTML-ENTITIES');
        return $results;
    }
}
?>